package com.gh.gamecenter.gamecollection.detail

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.constant.EntranceConsts
import com.gh.gamecenter.core.utils.DisplayUtils
import com.gh.gamecenter.entity.GamesCollectionDetailEntity

/**
 * 游戏单详情-封面页
 */
class GameCollectionPosterActivity : ToolBarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        hideToolbar(true)
        DisplayUtils.setStatusBarColor(this, com.gh.gamecenter.common.R.color.transparent, false)
    }

    companion object {
        @JvmStatic
        fun getIntent(context: Context, entity: GamesCollectionDetailEntity): Intent {
            val bundle = Bundle()
            bundle.putParcelable(EntranceConsts.KEY_DATA, entity)
            return getTargetIntent(
                context,
                GameCollectionPosterActivity::class.java,
                GameCollectionPosterFragment::class.java,
                bundle
            )
        }
    }
}